Skip to content

Get score by userId

GET
/score/userId
curl --request GET \
--url 'https://api.ethos.network/api/v2/score/userId?userId=1'

Returns the credibility score and level for an Ethos user id. Unknown ids return 0 and untrusted; no calculation is triggered.

userId
required
integer
> 0 <= 2147483647

Successful response

Media typeapplication/json
object
score
number
<= 2800
level
required
string
Allowed values: untrusted questionable neutral known established reputable exemplary distinguished revered renowned

Example

{
"level": "untrusted"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}